This package is maintained with git-buildpackage(1). It follows DEP-14 for
branch naming (e.g. using debian/main for the current version in Debian
unstable due Debian Python team policy).

It uses pristine-tar(1) to store enough information in git to generate bit
identical tarballs when building the package without having downloaded an
upstream tarball first.

When working with patches it is recommended to use "gbp pq import" to import
the patches, modify the source and then use "gbp pq export --commit" to commit
the modifications.

The changelog is generated using "gbp dch" so if you submit any changes don't
bother to add changelog entries but rather provide a nice git commit message
that can then end up in the changelog.

It is recommended to build the package with pbuilder using:

    gbp buildpackage --git-pbuilder

For information on how to set up a pbuilder environment see the git-pbuilder(1)
manpage. In short:

    DIST=sid git-pbuilder create
    gbp clone https://salsa.debian.org/python-team/packages/litestar.git
    cd litestar
    gbp buildpackage --git-pbuilder


Disabled tests in debian/rules
------------------------------

Some tests from the test suite are disabled, e.g. because they use docker or
the needed dependencies that are not available yet in Debian.
Note the bin packages python3-* in the following list are assumed in case
they are not packaged yet.

 --ignore=docs/examples/testing/test_subprocess_sse.py \                               # other, httpx.ConnectError: All connection attempts failed
 --ignore=tests/unit/test_channels/test_backends.py \                                  # other, needs docker
 --ignore=tests/unit/test_channels/test_plugin.py \                                    # other, TypeError: _FlakyPlugin._make_test_flaky() got an unexpected keyword argument 'reruns'
 --ignore=tests/unit/test_cli/test_schema_commands.py \                                # other, KeyError: 'test_fn', No module named 'test_apps', python3-polyfactory
 --ignore=tests/unit/test_contrib/test_opentelemetry.py \                              # python3-opentelemetry-{api,sdk}
 --ignore=tests/unit/test_file_system.py \                                             # other, DID NOT RAISE <class 'litestar.exceptions.http_exceptions.NotAuthorizedException'>
 --ignore=tests/unit/test_kwargs/test_validations.py \                                 # other, KeyError: 'test_fn'
 --ignore=tests/unit/test_middleware/test_rate_limit_middleware.py \                   # other
 --ignore=tests/unit/test_openapi \                                                    # ignore complete folder, python3-opentelemetry-{api,sdk}
 --ignore=tests/unit/test_plugins/test_opentelemetry.py \                              # python3-opentelemetry-instrumentation (not packaged yet) python3-opentelemetry-sdk
 --ignore=tests/unit/test_stores.py \                                                  # other, needs docker
 --ignore=tests/unit/test_testing/test_sub_client/test_subprocess_client.py \          # other, requires a httpx acting server httpcore.ConnectError: [Errno 111] Connection refused
 --ignore=tests/unit/test_testing/test_test_client.py \                                # other, needs docker


Dependencies for litestar-doc
-----------------------------

 sphinx>=7.1.2                 python3-sphinx
 sphinx-autobuild>=2021.3.14   python3-sphinx-autobuild
 sphinx-copybutton>=0.5.2      python3-sphinx-copybutton
 sphinx-toolbox>=3.5.0         python3-sphinx-toolbox
 sphinx-design>=0.5.0          python3-sphinx-design
 sphinx-click>=4.4.0           python3-sphinx-click
 sphinxcontrib-mermaid>=0.9.2  python3-sphinxcontrib-mermaid
 auto-pytabs[sphinx]>=0.4.0    python3-auto-pytabs
 litestar-sphinx-theme @ git+https://github.com/litestar-org/litestar-sphinx-theme.git not really needed
 sphinx-paramlinks>=0.6.0      python3-sphinx-paramlinks


 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 May 2026 11:55:00 +0200
